import http.client
from time import sleep
import datetime
from socket import socket

TIMEOUT: float = 1
TESTDOMAINS: list[str] = ["cscherr.de", "debian.org", "cloudflare.com"]

def check_net() -> bool:
    overall: bool = True
    for domain in TESTDOMAINS:
        status, msg = reachable(domain)
        overall &= status
        print(f"{domain:60s} {msg}")

    return overall

def reachable(domain: str) -> tuple[bool, str]:
    try:
        conn = http.client.HTTPSConnection(domain, timeout=TIMEOUT)
        conn.request("GET", "/")
        r = conn.getresponse()
        conn.close()
        return True, r.status
    except Exception as e:
        return False, e.__str__()

def monitor():
    while True:
        try:
            b = check_net()
            if b: print(":SUCCESS:")
            else: print(":FAILURE:")
            sleep(4)
        except Exception as e:
            print(e)

if __name__ == "__main__":
    monitor()
